Jenkins
=======

Version details
---------------

  * Version: `1.625.2.2 (CloudBees Jenkins Enterprise 15.11)`
  * Mode:    WAR
  * Servlet container
      - Specification: 3.0
      - Name:          `jetty/winstone-2.8`
  * Java
      - Home:           `/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre`
      - Vendor:           Oracle Corporation
      - Version:          1.8.0_65-
      - Maximum memory:   459.00 MB (481296384)
      - Allocated memory: 331.00 MB (347078656)
      - Free memory:      123.35 MB (129346088)
      - In-use memory:    207.65 MB (217732568)
      - GC strategy:      ParallelGC
  * Java Runtime Specification
      - Name:    Java Platform API Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Specification
      - Name:    Java Virtual Machine Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Implementation
      - Name:    OpenJDK 64-Bit Server VM
      - Vendor:  Oracle Corporation
      - Version: 25.65-b01
  * Operating system
      - Name:         Linux
      - Architecture: amd64
      - Version:      3.19.0-33-generic
      - Distribution: Ubuntu 14.04.3 LTS
  * Process ID: 4173 (0x104d)
  * Process started: 2015-11-30 11:18:56.718+0000
  * Process uptime: 7 hr 40 min
  * JVM startup parameters:
      - Boot classpath: `/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/resources.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/rt.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/sunrsasign.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/jsse.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/jce.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/charsets.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/lib/jfr.jar:/var/vcap/data/packages/openjdk-8/e7b298f2025dd7c929c24eaf6a75e12208f9dd56.1-daff9d8b8fe7997bd92988ade29e2bd630f04260/jre/classes`
      - Classpath: `/var/vcap/packages/jenkins/jenkins.war`
      - Library path: `/var/vcap/packages/ruby/lib:/var/vcap/packages/openjdk-8/lib:/var/vcap/packages/maven/lib:/var/vcap/packages/git/lib:/var/vcap/packages/fontconfig/lib::/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
      - arg[0]: `-Xmx516m`
      - arg[1]: `-Dhudson.TcpSlaveAgentListener.hostName=10.0.16.64`
      - arg[2]: `-Djava.io.tmpdir=/var/vcap/sys/tmp/jenkins_master`
      - arg[3]: `-Djava.awt.headless=true`

Important configuration
---------------

  * Security realm: `com.cloudfoundry.jenkins.cloudfoundryoauth.UaaSecurityRealm`
  * Authorization strategy: `nectar.plugins.rbac.strategy.RoleMatrixAuthorizationStrategyImpl`

Active Plugins
--------------

  * ace-editor:1.0.1 'JavaScript GUI Lib: ACE Editor bundle plugin'
  * active-directory:1.41 'Jenkins Active Directory plugin'
  * ant:1.2 'Ant Plugin'
  * antisamy-markup-formatter:1.3 'OWASP Markup Formatter Plugin'
  * artifactory:2.4.4 'Jenkins Artifactory Plugin'
  * async-http-client:1.7.8 'Async Http Client'
  * authentication-tokens:1.2 'Authentication Tokens API Plugin'
  * aws-credentials:1.11 'CloudBees Amazon Web Services Credentials Plugin'
  * aws-java-sdk:1.10.26 'Amazon Web Services SDK'
  * branch-api:1.0 'Branch API Plugin'
  * build-timeout:1.15.1 'Jenkins build timeout plugin'
  * build-view-column:0.2 'Build View Column Plugin'
  * cloudbees-aborted-builds:1.7 'CloudBees Restart Aborted Builds Plugin'
  * cloudbees-aws-credentials:1.8.2 'CloudBees Amazon Web Services Credentials Plugin'
  * cloudbees-bitbucket-branch-source:1.1 'CloudBees Bitbucket Cloud Branch Source Plugin'
  * cloudbees-cloudfoundry-cli:2.1.2 'Cloud Foundry CLI Plugin'
  * cloudbees-consolidated-build-view:1.5 'CloudBees Consolidated Build View Plugin'
  * cloudbees-credentials:3.3 'CloudBees Credentials Plugin'
  * cloudbees-even-scheduler:3.6 'CloudBees Even Scheduler Plugin'
  * cloudbees-folder:5.1 'CloudBees Folders Plugin'
  * cloudbees-folders-plus:3.0 'CloudBees Folders Plus Plugin'
  * cloudbees-github-pull-requests:1.0 'CloudBees GitHub Pull Requests Plugin'
  * cloudbees-groovy-view:1.5 'CloudBees Groovy View Plugin'
  * cloudbees-ha:4.7 'CloudBees High Availability Management plugin'
  * cloudbees-jsync-archiver:5.5 'CloudBees Fast Archiving Plugin'
  * cloudbees-label-throttling-plugin:3.4 'CloudBees Label Throttling Plugin'
  * cloudbees-license:7.12.1 'CloudBees License Manager'
  * cloudbees-long-running-build:1.5 'CloudBees Long-Running Build Plugin'
  * cloudbees-monitoring:2.1 'CloudBees Monitoring Plugin'
  * cloudbees-nodes-plus:1.12 'CloudBees Nodes Plus Plugin'
  * cloudbees-plugin-usage:1.6 'CloudBees Plugin Usage Plugin'
  * cloudbees-quiet-start:1.2 'CloudBees Quiet Start Plugin'
  * cloudbees-rbac-auto-configurer:1.1.5 'CloudBees RBAC Auto Configurer'
  * cloudbees-secure-copy:3.8 'CloudBees Secure Copy Plugin'
  * cloudbees-ssh-slaves:1.3 'CloudBees SSH Slaves Plugin'
  * cloudbees-support:3.6 'CloudBees Support Plugin'
  * cloudbees-template:4.20 'CloudBees Template Plugin'
  * cloudbees-view-creation-filter:1.3 'CloudBees View Creation Filter Plugin'
  * cloudbees-wasted-minutes-tracker:3.8 'CloudBees Wasted Minutes Tracker Plugin'
  * cloudbees-workflow-aggregator:1.6 'CloudBees Workflow: Aggregator'
  * cloudbees-workflow-rest-api:1.6 'CloudBees Workflow: REST API Plugin'
  * cloudbees-workflow-template:1.6 'CloudBees Workflow: Templates'
  * cloudbees-workflow-ui:1.6 'CloudBees Workflow: UI Plugin'
  * config-file-provider:2.10.0-SNAPSHOT (private-d69c1f5a-cleclerc) 'Config File Provider Plugin'
  * copyartifact:1.37 'Copy Artifact Plugin'
  * credentials:1.24 'Credentials Plugin'
  * credentials-binding:1.6 'Credentials Binding Plugin'
  * dashboard-view:2.9.6 'Dashboard View'
  * deployed-on-column:1.7 'Deployed On Column Plugin'
  * deployer-framework:1.1 'Deployer Framework Plugin'
  * docker-build-publish:1.1 'CloudBees Docker Build and Publish plugin'
  * docker-commons:1.2 'Docker Commons Plugin'
  * docker-custom-build-environment:1.6.4 'CloudBees Docker Custom Build Environment Plugin'
  * docker-traceability:1.1 'CloudBees Docker Traceability'
  * docker-workflow:1.2 'CloudBees Docker Workflow'
  * dockerhub-notification:1.0.2 'CloudBees Docker Hub Notification'
  * durable-task:1.6 'Durable Task Plugin'
  * extensible-choice-parameter:1.3.2 'Extensible Choice Parameter plugin'
  * external-monitor-job:1.4 'External Monitor Job Type Plugin'
  * git:2.4.0 'Jenkins GIT plugin'
  * git-client:1.19.0 'Jenkins GIT client plugin'
  * git-server:1.6 'Git server plugin'
  * git-validated-merge:3.20 'CloudBees Git Validated Merge Plugin'
  * github:1.14.0 'GitHub plugin'
  * github-api:1.69 'GitHub API Plugin'
  * github-branch-source:1.0 'CloudBees GitHub Branch Source Plugin'
  * github-pull-request-build:1.7 'CloudBees Pull Request Builder for GitHub'
  * gitlab-plugin:1.1.28 'GitLab Plugin'
  * gradle:1.24 'Jenkins Gradle plugin'
  * infradna-backup:3.22 'CloudBees Back-up Plugin'
  * jackson2-api:2.5.4 'Jackson 2 API Plugin'
  * javadoc:1.3 'Javadoc Plugin'
  * jenkins-cloudfoundry-uaa:2.0.5 'Cloud Foundry UAA Authentication Plugin'
  * jquery-detached:1.1.1 'JavaScript GUI Lib: jQuery bundles (jQuery and jQuery UI) plugin'
  * junit:1.9 'JUnit Plugin'
  * ldap:1.11 'LDAP Plugin'
  * mailer:1.16 'Jenkins Mailer Plugin'
  * mapdb-api:1.0.6.0 'MapDB API Plugin'
  * matrix-auth:1.2 'Matrix Authorization Strategy Plugin'
  * matrix-project:1.6 'Matrix Project Plugin'
  * maven-plugin:2.12.1 'Maven Integration plugin'
  * mercurial:1.54 'Jenkins Mercurial plugin'
  * metrics:3.1.2.1 'Metrics Plugin'
  * mock-security-realm:1.3 'Mock Security Realm'
  * monitoring:1.58.0 'Monitoring'
  * nectar-cloudfoundry-license:1.3 'CloudBees Evaluation License Auto Registration'
  * nectar-license:7.2 'CloudBees Jenkins Enterprise License Entitlement Check'
  * nectar-rbac:5.4 'CloudBees Role-Based Access Control Plugin'
  * nectar-vmware:4.3.5 'CloudBees VMWare Autoscaling Plugin'
  * node-iterator-api:1.5 'Node Iterator API Plugin'
  * openid:2.1.1 'openid'
  * openid4java:0.9.8.0 'OpenID4Java API'
  * operations-center-agent:1.8.0 'Operations Center Agent'
  * operations-center-analytics-config:1.8.1 'Operations Center Analytics Configuration'
  * operations-center-analytics-reporter:1.8.1 'Operations Center Analytics Reporter'
  * operations-center-client:1.8.0 'Operations Center Client Plugin'
  * operations-center-cloud:1.8.2 'Operations Center Cloud'
  * operations-center-context:1.8.0 'Operations Center Context'
  * operations-center-openid-cse:1.8.0 'Operations Center OpenID Cluster Session Extension'
  * pam-auth:1.2 'PAM Authentication plugin'
  * parameterized-trigger:2.29 'Jenkins Parameterized Trigger plugin'
  * plain-credentials:1.1 'Plain Credentials Plugin'
  * promoted-builds:2.24 'Jenkins promoted builds plugin'
  * scm-api:1.0 'SCM API Plugin'
  * script-security:1.15 'Script Security Plugin'
  * skip-plugin:3.7 'CloudBees Skip Next Build Plugin'
  * ssh-agent:1.8 'SSH Agent Plugin'
  * ssh-credentials:1.11 'SSH Credentials Plugin'
  * ssh-slaves:1.10 'Jenkins SSH Slaves plugin'
  * subversion:2.5.4 'Jenkins Subversion Plug-in'
  * support-core:2.28 'Support Core Plugin'
  * suppress-stack-trace:1.4 'Stack Trace Suppression Plugin'
  * syslog-logger:1.0.5 'Jenkins Syslog logger plugin'
  * token-macro:1.11 'Token Macro Plugin'
  * translation:1.12 'Jenkins Translation Assistance plugin'
  * unique-id:2.1.1 'Unique ID Library Plugin'
  * wikitext:3.7 'CloudBees WikiText Security Plugin'
  * windows-slaves:1.1 'Windows Slaves Plugin'
  * workflow-aggregator:1.11 'Workflow: Aggregator'
  * workflow-api:1.11 'Workflow: API'
  * workflow-basic-steps:1.11 'Workflow: Basic Steps'
  * workflow-cps:1.11 'Workflow: Groovy CPS Execution'
  * workflow-cps-checkpoint:1.6 'CloudBees Workflow: Groovy Checkpoint'
  * workflow-cps-global-lib:1.11 'Workflow: Global Shared Library for CPS workflow'
  * workflow-durable-task-step:1.11 'Workflow: Durable Task Step'
  * workflow-job:1.11 'Workflow: Job'
  * workflow-multibranch:1.11 'Workflow: Multibranch'
  * workflow-scm-step:1.11 'Workflow: SCM Step'
  * workflow-step-api:1.11 'Workflow: Step API'
  * workflow-support:1.11 'Workflow: Execution Support'

Packaging details
-----------------

Pivotal

License details
---------------

 * Jenkins Instance ID: `2a9ae01ad9e485c41463d43df2101ffb`
 * Expires:             Aug 18, 2016
 * Issued to:           CloudBees
 * Organization:        
     - Jenkins Enterprise license with 100 executors
